# frozen_string_literal: true

require_relative "lib/cxpay/version"

Gem::Specification.new do |spec|
  spec.name          = "cxpay"
  spec.version       = CxPay::VERSION
  spec.authors       = ["Stefan Vermaas"]
  spec.email         = ["stefan@mellowhq.com"]

  spec.summary       = "Ruby library for the CX Pay API."
  spec.description   = "A small Ruby library for interaction with the CX Pay Payment API."
  spec.homepage      = "https://github.com/mellowhq/cxpay-ruby"
  spec.license       = "MIT"
  spec.required_ruby_version = Gem::Requirement.new(">= 2.5")

  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["source_code_uri"] = "https://github.com/mellowhq/cxpay-ruby"
  spec.metadata["changelog_uri"] = "https://github.com/mellowhq/cxpay-ruby/blob/main/CHANGELOG.md"
  spec.metadata["rubygems_mfa_required"] = "true"

  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{\A(?:test|spec|features)/}) }
  end

  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{\Aexe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  # Development dependencies
  spec.add_development_dependency "minitest", "~> 5.0"
  spec.add_development_dependency "rake", "~> 13.0"
  spec.add_development_dependency "rubocop", "~> 0.80"
end
